Holger's Java API

## com.antelmann.util.table
Class TransposedTableModel

    java.lang.Object
      com.antelmann.util.table.TransposedTableModel

All Implemented Interfaces:
  Wrapped<TableModel>, TableModel

    public class TransposedTableModel

extends Object
implements TableModel, Wrapped<TableModel>

the first column of the given model will become the header row of the transposed model

Since:
  28.05.2009, 13:00:01
Author:
  Holger Antelmann

Constructor Summary
`TransposedTableModel(TableModel model)`

Method Summary
`void` `addTableModelListener(TableModelListener l)`
`Class<?>` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`
`boolean` `isCellEditable(int row, int column)`
`void` `removeTableModelListener(TableModelListener l)`
`void` `setValueAt(Object value, int row, int column)`
`TableModel` `unwrap()` returns the embedded instance that this wrapper encloses

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransposedTableModel

    public TransposedTableModel(TableModel model)

Method Detail

### unwrap

    public TableModel unwrap()

  Description copied from interface: `Wrapped`
  returns the embedded instance that this wrapper encloses

  Specified by:
    `unwrap` in interface `Wrapped<TableModel>`

### addTableModelListener

    public void addTableModelListener(TableModelListener l)

  Specified by:
    `addTableModelListener` in interface `TableModel`

### removeTableModelListener

    public void removeTableModelListener(TableModelListener l)

  Specified by:
    `removeTableModelListener` in interface `TableModel`

### getColumnClass

    public Class<?> getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Specified by:
    `getValueAt` in interface `TableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `TableModel`

### setValueAt

    public void setValueAt(Object value,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `TableModel`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads